<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_categories_de', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('category_id', 36);
            $table->string('name')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_posts_de', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('post_id', 36);
            $table->string('title')->nullable();
            $table->text('content')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_informations_de', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('information_id', 36);
            $table->string('title')->nullable();
            $table->text('content')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_menus_de', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('menu_id', 36);
            $table->string('name')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_pages_de', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('page_id', 36);
            $table->string('title')->nullable();
            $table->text('content')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_categories_de');
        Schema::dropIfExists('swp_posts_de');
        Schema::dropIfExists('swp_informations_de');
        Schema::dropIfExists('swp_menus_de');
        Schema::dropIfExists('swp_pages_de');
    }
}
